Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtPickerPolygonMachine Class Reference

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerPolygonMachine:
[legend]

List of all members.

## Public Member Functions
| QwtPickerPolygonMachine ()
virtual QList< Command > | transition (const QwtEventPattern &, const QEvent *)
Public Member Functions inherited from QwtPickerMachine
| QwtPickerMachine (SelectionType)
virtual | ~QwtPickerMachine ()
void | reset ()
SelectionType | selectionType () const
void | setState (int)
int | state () const

## Additional Inherited Members
Public Types inherited from QwtPickerMachine
enum | Command { Begin, Append, Move, Remove, End }
enum | SelectionType { NoSelection = -1, PointSelection, RectSelection, PolygonSelection }

## Detailed Description

A state machine for polygon selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 starts the selection and selects the first point, or appends a point. Pressing QwtEventPattern::MouseSelect2 or QwtEventPattern::KeySelect2 appends the last point and terminates the selection.

See also:
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode